commit:     715e9fa983d7deb5acb68ee447e63cdb928e1015
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 30 11:16:35 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 30 18:13:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=715e9fa9

dev-python/clang-python: Bump live to 14*

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../clang-python/clang-python-14.0.0.9999.ebuild   | 41 ++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/dev-python/clang-python/clang-python-14.0.0.9999.ebuild 
b/dev-python/clang-python/clang-python-14.0.0.9999.ebuild
new file mode 100644
index 00000000000..921f7735340
--- /dev/null
+++ b/dev-python/clang-python/clang-python-14.0.0.9999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/";
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+RDEPEND="
+       >=sys-devel/clang-${PV}:*
+       !sys-devel/llvm:0[clang(-),python(-)]
+       !sys-devel/clang:0[python(-)]
+       ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+       "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+       python_foreach_impl python_test
+}
+
+src_install() {
+       python_foreach_impl python_domodule clang
+}

Reply via email to